{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"Initfsgen build",
  "actions":[
    {
      "action":"compile_one_cpp",
      "args":{
        "source_variables":false,
        "source":"initfsgen.cpp",
        "compiler_variables":true,
        "compiler":"$CPP_COMPILER$",
        "pre_arguments_variables":true,
        "pre_arguments":[
          "-I%rootcallerfolder%",
          "-c"
        ],
        "post_arguments_variables":true,
        "post_arguments":[
        ],
        "output_file_variables":true,
        "output_file":"initfsgen.o",
        "success_status":[
          0
        ],
        "ignore_success_status":true,
        "cache_authorized":true,
        "headers_command_variables":true,
        "headers_command":"gcc -I%rootcallerfolder% -MMD -MF %dfile% -E %sourcefile% -o /dev/null"
      }
    },
    {
      "action":"run_command_wait",
      "args":{
        "command_variables":true,
        "command":[
          "$CPP_COMPILER$",
          "initfsgen.o",
          "-o",
          "initfsgen",
          "-L.",
          "-lcommoncrypto",
          "-lcrypto",
          "-I%rootcallerfolder%"
        ],
        "show_output":"on_failure",
        "success_status":[
          0
        ],
        "ignore_success_status":false
      }
    },
    {
      "action":"run_command_wait_dir",
      "args":{
        "command_variables":true,
        "command":[
          "%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen/initfsgen",
          "%rootcallerfolder%/$INITFS_DIR$"
        ],
        "show_output":"on_failure",
        "success_status":[
          0
        ],
        "ignore_success_status":false,
        "working_dir_variables":true,
        "working_dir":"%rootcallerfolder%"
      }
    },
    {
      "action":"move_file",
      "args":{
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/initfs.bin",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen"
      }
    },
    {
      "action":"move_file",
      "args":{
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/signsyst.bin",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen"
      }
    },
    {
      "action":"move_file",
      "args":{
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/initfsfp.bin",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen"
      }
    },
    {
      "action":"move_file",
      "args":{
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/sshash.bin",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/initfsgen"
      }
    }
  ]
}
